> ## Documentation Index
> Fetch the complete documentation index at: https://developers.harvey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Client Matters

> Deletes a list of client matters from Harvey, preventing them from being associated with any future queries. If a client matter does not exist or is already deleted, it will be skipped.

Deleting a Client Matter does not delete historical queries associated with that Client Matter, nor does it remove the Client Matter from those historical queries. Users and Admins can update the Client Matter associated with a previous query in the Dashboard.

### Permissions

Requires `Client matters admin` permission.


## OpenAPI

````yaml /client_matters_api.json delete /api/v1/client_matters
openapi: 3.0.1
info:
  title: Harvey Client Matter API
  description: >-
    The Harvey API enables customers to manage their client matters, including
    adding, deleting, and retrieving client matters. Note that these formats are
    tentative and may change in the future.
  version: 1.0.0
  contact:
    email: support@harvey.ai
servers:
  - url: https://api.harvey.ai
    description: Harvey API server
security: []
paths:
  /api/v1/client_matters:
    delete:
      tags:
        - Delete
      summary: Delete Client Matters
      description: >-
        Deletes a list of client matters from Harvey, preventing them from being
        associated with any future queries. If a client matter does not exist or
        is already deleted, it will be skipped.


        Deleting a Client Matter does not delete historical queries associated
        with that Client Matter, nor does it remove the Client Matter from those
        historical queries. Users and Admins can update the Client Matter
        associated with a previous query in the Dashboard.
      operationId: deleteClientMatters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                client_matters:
                  type: array
                  maxItems: 10000
                  items:
                    type: string
                  description: A list of client matter names to delete.
                  example:
                    - 123-45
                    - 456-78
              required:
                - client_matters
      responses:
        '200':
          description: >-
            The number of successfully deleted client matters and the number of
            failures.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success_count:
                    type: integer
                    example: 1
                    description: >-
                      The total amount of client matters that were successfully
                      deleted.
                  failed:
                    type: array
                    items:
                      type: string
                    description: >-
                      A list of cm_names that failed to delete. If all deletions
                      were successful, you will receive an empty array.
                    example: []
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
        '429':
          description: Rate limit exceeded.
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````